/*
 *	This file is part of Struts2JSCalendarPlugin.
 *
 *	Struts2JSCalendarPlugin is free software: you can redistribute it and/or modify
 *	it under the terms of the GNU Lesser General Public License as published by
 *	the Free Software Foundation, either version 3 of the License, or
 *	(at your option) any later version.
 *
 *	Foobar is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU Lesser General Public License for more details.
 *
 *	You should have received a copy of the GNU Lesser General Public License
 *	along with Struts2JSCalendarPlugin.  If not, see <http://www.gnu.org/licenses/>.
 *
 *	This work is based on the webwork datepicker plugin copyright (c) 2002-2006 by OpenSymphony
 *
 *	Copyright  2007 - 2010 by Derik Vercueil, Philipp Leusmann
 */
package org.fordprefect.struts2jscalendarplugin.views.freemarker.tags;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts2.components.Component;
import org.apache.struts2.views.freemarker.tags.TagModel;
import org.fordprefect.struts2jscalendarplugin.components.JSCalendar;

import com.opensymphony.xwork2.util.ValueStack;

/**
 * @see org.fordprefect.struts2jscalendarplugin.components.JSCalendar
 */
public class JSCalendarModel extends TagModel {

	public JSCalendarModel(ValueStack stack, HttpServletRequest req,
			HttpServletResponse res) {
		super(stack, req, res);
	}

	@Override
	protected Component getBean() {
		return new JSCalendar(stack, req, res);
	}
}
