/*
 *	This file is part of Struts2JSCalendarPlugin.
 *
 *	Struts2JSCalendarPlugin is free software: you can redistribute it and/or modify
 *	it under the terms of the GNU Lesser General Public License as published by
 *	the Free Software Foundation, either version 3 of the License, or
 *	(at your option) any later version.
 *
 *	Foobar is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU Lesser General Public License for more details.
 *
 *	You should have received a copy of the GNU Lesser General Public License
 *	along with Struts2JSCalendarPlugin.  If not, see <http://www.gnu.org/licenses/>.
 *
 *	This work is based on the webwork datepicker plugin copyright (c) 2002-2006 by OpenSymphony
 *
 *	Copyright  2007 - 2010 by Derik Vercueil, Philipp Leusmann
 */
package org.fordprefect.struts2jscalendarplugin.views.velocity.components;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts2.components.Component;
import org.fordprefect.struts2jscalendarplugin.components.JSCalendar;

import com.opensymphony.xwork2.util.ValueStack;

/**
 * Created by IntelliJ IDEA. User: milmber Date: Aug 7, 2007 Time: 10:26:18 AM
 * To change this template use File | Settings | File Templates.
 */
public class JSCalendarDirective extends JSCalendarAbstractDirective {

	@Override
	public String getBeanName() {
		return "jscalendar";
	}

	@Override
	protected Component getBean(ValueStack valueStack,
			HttpServletRequest httpServletRequest,
			HttpServletResponse httpServletResponse) {
		return new JSCalendar(valueStack, httpServletRequest,
				httpServletResponse);
	}
}
