<#--
 *	This file is part of Struts2JSCalendarPlugin.
 *
 *	Struts2JSCalendarPlugin is free software: you can redistribute it and/or modify
 *	it under the terms of the GNU Lesser General Public License as published by
 *	the Free Software Foundation, either version 3 of the License, or
 *	(at your option) any later version.
 *
 *	Foobar is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU Lesser General Public License for more details.
 *
 *	You should have received a copy of the GNU Lesser General Public License
 *	along with Struts2JSCalendarPlugin.  If not, see <http://www.gnu.org/licenses/>.
 *
 *	This work is based on the webwork datepicker plugin copyright (c) 2002-2006 by OpenSymphony
 *
 *	Copyright  2007 - 2010 by Derik Vercueil, Philipp Leusmann
 -->
 
 <#if parameters.flat?if_exists == 'true'>
<div style="float: right; margin-left: 1em; margin-bottom: 1em;" id="calendar-container"></div>
<script type="text/javascript">
  Calendar.setup(
    {
      showsTime      :    ${parameters.showstime?default("false")},
      <#if parameters.format?exists>
      ifFormat       :    "${parameters.format}",
      </#if>
      flat         : "calendar-container",  // ID of the parent element
      flatCallback : ${parameters.flatCallback?default("dateChanged")}  // our callback function

    }
  );
</script>
<#else>
    <#include "/${parameters.templateDir}/simple/text.ftl" />
    <#if !parameters.readonly?exists><a href="#" id="${parameters.id}_button">
        <img src="<@s.url value="/struts/jscalendar/img.gif" encode='false' includeParams='none'/>" width="20" height="14" border="0" alt="Click Here to Pick up the date"
        <#if parameters.cssStyle?exists>
            style="${parameters.cssStyle?html}"
        </#if>
        <#if parameters.cssClass?exists>
            class="${parameters.cssClass?html}"
        </#if>
        />
    </a>
    <script type="text/javascript">
        Calendar.setup({
            inputField     :    "${parameters.id}",
            button         :    "${parameters.id}_button",
        <#if parameters.singleclick?exists>
            singleClick    :    ${parameters.singleclick},
        </#if>
    
            showsTime      :    ${parameters.showstime?default("false")},
    	<#if parameters.format?exists>
            ifFormat       :    "${parameters.format}",
    	</#if>
            step           :    1
        });
     </#if>
    </script>
</#if>
